LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XRefreshable Interface Referencepublished

is supported by objects with data that can be refreshed from a data source. More...

`import"XRefreshable.idl";`

Inheritance diagram for XRefreshable:

## Public Member Functions
void | refresh ()
| refreshes the data of the object from the connected data source. More...
void | addRefreshListener ([in] com::sun::star::util::XRefreshListener l)
| adds the specified listener to receive the event "refreshed." More...
void | removeRefreshListener ([in] com::sun::star::util::XRefreshListener l)
| removes the specified listener. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

is supported by objects with data that can be refreshed from a data source.

Developers Guide
  Charts - How Add-Ins Work

## Member Function Documentation

## ◆ addRefreshListener()

void addRefreshListener | ( | [in] com::sun::star::util::XRefreshListener | l | ) |

adds the specified listener to receive the event "refreshed."

## ◆ refresh()

void refresh | ( |  | ) |

refreshes the data of the object from the connected data source.

## ◆ removeRefreshListener()

void removeRefreshListener | ( | [in] com::sun::star::util::XRefreshListener | l | ) |

removes the specified listener.

The documentation for this interface was generated from the following file:

- com/sun/star/util/XRefreshable.idl